1. Arun Kumar
  2. PowerBuilder
  3. Monday, 11 September 2017 13:27 PM UTC

We have a webservice (Developed in C#) for Authorize.net. From the Powerbuilder we are generating Web Service Proxy Objects. Everything seems to have worked till now since Authorize.net was using TLS 1.0. After the authorize.net Upgraded to TLS 1.2 , we changed the Webservice to use .Net FrameWork 4.6. 
We had to regenerate Web Service Proxy Object again. However when trying to make calls to any function of the Webservice, there's an error ( I am assuming it could be due to the fact that the PB 12.5.2 utilizes .Net Framework 4.0). 
How can we fix this ? Is their a way to enforce TLS2.0 Security using PowerBuilder Web Service Proxy Object?
 

(Note: We have tried to make the changes on Webservice to use .Net Framework 4.0 and change the TLS property as stated in the post below, but the issue still persists). 

ServicePointManager.SecurityProtocol = (SecurityProtocolType)3072;

http://blogs.perficient.com/microsoft/2016/04/tsl-1-2-and-net-support/

Error Message : The request failed with the error message:
--
Document Moved

Object Moved

This document may be found http://test.mytest.net/Authorize/authorize">here

Chris Pollach @Appeon Accepted Answer Pending Moderation
  1. Monday, 11 September 2017 13:59 PM UTC
  2. PowerBuilder
  3. # 1
0
Votes
Undo

Hi Arun;

  PB versions 12.x do not support TLS 1.2 and you are correct ... PB 12.5.x is .Net 4.0 based.

As a workaround, you might like to consider this socket control ... click here. There are other products as well like SocketWrench for example. A little Googling around will show you other alternatives.

For TLS 1.2 support in native PB with .Net 4.6 - stay tuned for the next Appeon PB release.

Regards ... Chris

 

Comment
Thank you for the prompt response. 



"For TLS 1.2 support in native PB with .Net 4.6 - stay tuned for the next Appeon PB release. "

Doesn't PB 2017 utilize .Net Framework 4.6? 

I am going to have to try with XMLHTTP Object (if that works), until Appeon Releases PB with .Net 4.6. 

  1. Arun Kumar
  2. Tuesday, 12 September 2017 10:55 AM UTC
Was this ever confirmed for PB 2017 that TLS was updated to 1.2?

  1. Richard Keller
  2. Thursday, 18 January 2018 20:36 PM UTC
There are no comments made yet.
  • Page :
  • 1


There are no replies made for this question yet.
However, you are not allowed to reply to this question.